Subject: RE: FW: scvp

From: Peter Sylvester <[email-masked]>
Date: Wed, 28 Apr 2004 10:15:03 +0200 (MEST)

> Hi Peter,
> The additions optional allow the client to specify in the request the
> full range validation parameters defined in 3280 section 6. If you read
> section 1, you will see a validation policy is the validation algorithm
> plus the input parameter to the algorithm. SCVP14 defines all the base
> inputs as defined in 3280. New validation algorithm cab define
> additional input variable.
I saw the need for these parameters, but ... (1)

> The only other parameter you mention refers to Basic constraints, so if
> a SCVP client want to validate what it believes is a CA certificate,
> then it passes in CA=true.
That's not what the spec says ... (2)

> 
> I am not sure whether I am the only person unable to construct a parser.

(1) ... the syntax in umbiguous.

> in version 14 an aditional flag has been added which is not available in
> the
> Chapter 9. Is the isCA flag an orthogonal attribut to other validation
> algorithms, or just to some of them, e.g,. the default name matching
> one? 

(2) ... there is no option saying client doesn't care whether the cert is a CA or EE.

I am not sure whether one needs three options, or, for example:
"If set to TRUE, the caller requires a CA, otherwise, the caller doesn't care."